BotSailor API Documentation
- My Info
- Usage Log
- User List
- Create User
- Update User
- Package List
- Module List
- Logout User
- Transaction List
User API
- Connect Account
- Send Message
- Send Media
- Upload Media
- Get Conversation
- Get PostBack List
- Get Message Delivery Status
- Get Bot Template
- Trigger Bot Flow
- Get Subscriber
- Subscribers List
- Create Subscriber
- Update Subscriber
- Delete Subscriber
- Reset User Input Flow
- Assign Subscriber Chat to Team Member
- Assign Subscriber Custom Fields
- Custom Fields List
- Assign Labels
- Remove Labels
- Assign Sequence
- Remove Sequence
- Add Notes To Subscriber
- Label List
- Label Create
WhatsApp API
Subscriber API
Label API
Your API key
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
User API
User API, create,update,list...
User API : My Information
My Information
API End-point : GET/POST
https://botsailor.com/api/v1/user/myInfo- String|RequiredapiTokenYour api key
GET Request Example
https://botsailor.com/api/v1/user/myInfo?apiToken=API-KEYPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/myInfo' \
-d 'apiToken=API-KEY' Sample Response
{"status": "1", "message": { "user_id": 114, "user_type": "Member", "name": "Member", "email": "member@gmail.com", "mobile": "3555757", "package_name": "Premium1", "expired_date": "2025-07-02 00:00:00", "created_at": "2022-03-26 10:55:29", "status": "1", "last_login_at": "2024-07-24 11:59:58", "last_login_ip": "127.0.0.1", "agent_has_ppu": "0", "agent_ppu_remaining": -1, "bot_subscriber_data": { "limit": "5000", "count": "1" }, "message_credit_data": { "limit": "unlimited", "used": 0 }, "whatsapp_bots_details": [ { "display_phone_number": "+91 97031 XXXX", "phone_number_id": "11906XXXXX40020", "whatsapp_business_account_id": "10039XXXX785XX", "whatsapp_business_name": "BotSailor" }] }}User API : Usage Log
Usage Log
API End-point : GET/POST
https://botsailor.com/api/v1/user/usage/log- String|RequiredapiTokenYour api key
GET Request Example
https://botsailor.com/api/v1/user/usage/log?apiToken=API-KEYPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/usage/log' \
-d 'apiToken=API-KEY' Sample Response
{"status": "1", "message": { "modules": [ { "module_name": "End-user", "limit": 500, "used": 1 }, { "module_name": "Connect Account", "limit": 0, "used": 0 }, { "module_name": "Message Credit", "limit": 1458, "used": 0 }, { "module_name": "Subscribers", "limit": 0, "used": 0 }, { "module_name": "Bot Message Insight", "limit": 0, "used": 0 }, { "module_name": "Bot Conditional Reply", "limit": 0, "used": 0 }, { "module_name": "Bot AI Token", "limit": 0, "used": 0 }, { "module_name": "Input Flow Campaign", "limit": 0, "used": 0 }, { "module_name": "Live Chat", "limit": 0, "used": 0 }, { "module_name": "Live Chat - Advanced", "limit": 0, "used": 0 }, { "module_name": "Live Chat - Translator", "limit": 0, "used": 0 }, { "module_name": "Sequence Campaign", "limit": 0, "used": 0 }, { "module_name": "WhatsApp - Flows", "limit": 0, "used": 0 }, { "module_name": "WhatsApp - eCommerce Catalog", "limit": 0, "used": 0 }, { "module_name": "WhatsApp - Webhook Workflow", "limit": 0, "used": 0 }, { "module_name": "Webchat Bot", "limit": 0, "used": 0 }, { "module_name": "WhatsApp - WordPress/Shopify Integration", "limit": 0, "used": 0 }, { "module_name": "Team Member", "limit": 0, "used": 0 }, { "module_name": "API Developer", "limit": 0, "used": 0 }, { "module_name": "Live Chat Restriction", "limit": 0, "used": 0 } ], "package_name": "Premium1", "total_modules": 20 }}User API : User List
List of Users
API End-point : GET/POST
https://botsailor.com/api/v1/user/list- String|RequiredapiTokenYour api key
- Integer|OptionalidSingle User data can be fetched using both User ID or Email
GET Request Example
https://botsailor.com/api/v1/user/list?apiToken=API-KEY&id=USER-ID-OR-EMAILPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/list' \
-d 'apiToken=API-KEY' \
-d 'id=USER-ID-OR-EMAIL' Sample Response(All list)
{"status":"1","message":[{"user_id":114,"name":"Member","email":"member@gmail.com","mobile":"017XXXXXXXX","package_name":"Premium2","expired_date":"2023-08-05 00:00:00","created_at":"2022-03-26 10:55:29","last_login_at":"2023-08-06 08:55:13","last_login_ip":"127.0.0.1"}]}Sample Response(Single User)
{"status": "1", "message": { "user_id": 114, "user_type": "Member", "name": "Member", "email": "member@gmail.com", "mobile": "3555757", "package_name": "Premium1", "expired_date": "2025-07-02 00:00:00", "created_at": "2022-03-26 10:55:29", "status": "1", "last_login_at": "2024-07-24 11:59:58", "last_login_ip": "127.0.0.1", "agent_has_ppu": "0", "agent_ppu_remaining": -1, "bot_subscriber_data": { "limit": "5000", "count": "1" }, "message_credit_data": { "limit": "unlimited", "used": 0 }, "whatsapp_bots_details": [ { "display_phone_number": "+91 97031 XXXX", "phone_number_id": "11906XXXXX40020", "whatsapp_business_account_id": "10039XXXX785XX", "whatsapp_business_name": "BotSailor" }] }}User API : User Create
Create an new User
API End-point : POST
https://botsailor.com/api/v1/user/create- String|RequiredapiTokenYour api key
- String|RequirednameName of your user
- Email|RequiredemailEmail of your user
- String|OptionalmobileUser phone number
- String|RequiredpasswordUser password
- Integer|Requiredpackage_idPackage Id
- String|Requiredexpired_datePcakage Expired date like (2023-09-12)
GET Request Example
https://botsailor.com/api/v1/user/create?apiToken=API-KEY&name=NAME&email=EMAIL&mobile=MOBILE&password=PASSWORD&package_id=NAME&expired_date=EXPIRED-DATEPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/create' \
-d 'apiToken=API-KEY' \
-d 'name=NAME' \
-d 'email=EMAIL' \
-d 'mobile=MOBILE' \
-d 'password=PASSWORD' \
-d 'package_id=NAME' \
-d 'expired_date=EXPIRED-DATE' Sample Response
{"status":"1","mesasge":"User Created Successfully.","id":192}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}User API : User Update
Update a Existing User
API End-point : POST
https://botsailor.com/api/v1/user/update- String|RequiredapiTokenYour api key
- Integer|RequiredidUser can be updated using both User ID or Email
- String|OptionalnameName of your user
- Email|OptionalemailEmail of your user
- String|OptionalmobileUser phone number
- String|OptionalpasswordUser password
- Integer|Optionalpackage_idPackage Id
- String|Optionalexpired_datePackage Expired date like (2023-09-12)
- String|OptionalstatusStatus of user active(1) inactive(0)
- String|Optionalreset_monthly_usageReset current month`s usage log of user reset(1) keep(0)
GET Request Example
https://botsailor.com/api/v1/user/update?apiToken=API-KEY&id=USER-ID-OR-EMAIL&name=NAME&email=EMAIL&mobile=MOBILE&password=PASSWORD&package_id=NAME&expired_date=EXPIRED-DATE&status=STATUS&reset_monthly_usage=RESET-MONTHLY-USAGEPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/update' \
-d 'apiToken=API-KEY' \
-d 'id=USER-ID-OR-EMAIL' \
-d 'name=NAME' \
-d 'email=EMAIL' \
-d 'mobile=MOBILE' \
-d 'password=PASSWORD' \
-d 'package_id=NAME' \
-d 'expired_date=EXPIRED-DATE' \
-d 'status=STATUS' \
-d 'reset_monthly_usage=RESET-MONTHLY-USAGE' Sample Response
{"status":"1","message":"User Updated Successfully."}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}User API : Package List
List of Packages
API End-point : GET/POST
https://botsailor.com/api/v1/user/package/list- String|RequiredapiTokenYour api key
GET Request Example
https://botsailor.com/api/v1/user/package/list?apiToken=API-KEYPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/package/list' \
-d 'apiToken=API-KEY' Sample Response(All list)
{"status":"1","message":{"id":1,"package_name":"Basic","package_type":"subscription","price":"Trial","validity":730,"module_ids":"1,19,18,9,10,11,2,26,24,3,4,7,22,13,15","monthly_limit":"{\"1\":\"1\",\"19\":\"3000\",\"18\":\"0\",\"9\":\"2000\",\"10\":\"0\",\"11\":\"0\",\"2\":\"0\",\"26\":\"0\",\"24\":\"0\",\"3\":\"0\",\"4\":\"0\",\"7\":\"3\",\"22\":\"0\",\"13\":\"0\",\"15\":\"0\"}"}}User API : Module List
List of Module
API End-point : GET/POST
https://botsailor.com/api/v1/user/module/list- String|RequiredapiTokenYour api key
GET Request Example
https://botsailor.com/api/v1/user/module/list?apiToken=API-KEYPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/module/list' \
-d 'apiToken=API-KEY' Sample Response(All list)
{"status":"1","message":{"id":1,"module_name":"Connect Account","extra_text":"","limit_enabled":"1","status":"1"}}User API : Addon List
List of Addon
API End-point : GET/POST
https://botsailor.com/api/v1/user/addon/list- String|RequiredapiTokenYour api key
GET Request Example
https://botsailor.com/api/v1/user/addon/list?apiToken=API-KEYPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/addon/list' \
-d 'apiToken=API-KEY' Sample Response(All list)
{"status":"1","message":{"id":2,"addon_name":"Unlimited Team Member","addon_description":"Description of addon","addon_type":"recurring","price":25,"validity":30,"product_data":"{\"fastspring\":{\"product_id\":\"\",\"coupon\":\"\"},\"paypro\":{\"product_id\":\"101357\",\"coupon\":\"ADDONDEFAULT\"},\"paypal\":{\"plan_id\":\"\"},\"razorpay\":{\"plan_id\":\"\"}}","variation_data":null,"discount_data":"{\"percent\":\"\",\"terms\":\"\",\"start_date\":\"\",\"end_date\":\"2024-11-24 13:35:12\",\"timezone\":\"Asia\\/Dhaka\",\"status\":\"1\"}","visible":"1"}}User API : Addon Create
Create Addon
API End-point : GET/POST
https://botsailor.com/api/v1/user/addon/createAvailable Modules
| SL | Module ID | Module Name |
|---|---|---|
| 1 | 1 | Connect Account |
| 1 | 19 | Message Credit |
| 2 | 40 | Bot Typing On Display |
| 2 | 9 | Subscribers |
| 2 | 10 | Bot Message Insight |
| 2 | 11 | Bot Conditional Reply |
| 2 | 18 | Bot AI Token |
| 3 | 2 | Input Flow Campaign |
| 3 | 44 | Incoming Message to Webhook URL |
| 3 | 26 | Instagram Bot |
| 4 | 30 | Livechat - Restriction |
| 4 | 3 | Live Chat |
| 4 | 20 | Live Chat - Advanced |
| 4 | 24 | Live Chat - Translator |
| 5 | 4 | Broadcast |
| 8 | 7 | Sequence Campaign |
| 9 | 43 | Social Posting |
| 9 | 28 | Comment Automation |
| 9 | 29 | WhatsApp Embedded Signup |
| 11 | 23 | WhatsApp - Flows |
| 11 | 21 | WhatsApp - Catalog |
| 11 | 47 | WhatsApp - Appointment System |
| 11 | 16 | WhatsApp - Webhook Workflow |
| 11 | 42 | WhatsApp - Click Ads |
| 11 | 37 | WhatsApp - Carousel Template |
| 12 | 27 | Whatsapp About Field Brand Name |
| 12 | 38 | Webchat Bot |
| 12 | 17 | WhatsApp - WordPress/Shopify Integration |
| 13 | 35 | Integration - HTTP API |
| 14 | 36 | Google - Google Sheet |
| 14 | 22 | Telegram - Group Manager |
| 14 | 45 | Google - Google Contacts |
| 14 | 46 | Google - Connect Account |
| 14 | 48 | Google - Google Calendar |
| 15 | 13 | Team Member |
| 15 | 15 | API Developer |
| 39 | 39 | Bot AI Agent |
| 39 | 49 | Bot AI Assistant |
- String|RequiredapiTokenYour api key
- String|Requiredaddon_nameName of your addon
- Int|Requiredmodule_idYour Module ID
- String|Requiredaddon_descriptionDescription of your addon
- Float|RequiredpricePrice of your addon
- Int|RequiredvalidityValidity of your addon
- String|Requiredvalidity_typevalidity type can be day,week, month, year. For Day use `D`, For Week use `W`, For Month use `M`, For Year use `Y`
- String|Requiredaddon_typeYou can use 2 tyepes of addon Recurring and One Time. For Recurring use `recurring` and For One Time use `one-time`
- Int|Requiredextend_valueThis is Module Limit
- Int|OptionalvisibleAddon visibility 1 for visible and 0 for hidden
- Json|Optionalvariation_nameVariation name and value in json format.
- Json|Optionalvariation_validityVariation validity and value in json format.
- Json|Optionalvariation_validity_typevalidity type can be day,week, month, year. For Day use `D`, For Week use `W`, For Month use `M`, For Year use `Y`
- Json|Requiredvariation_extend_valueThis is Module Limit For Variation
- Json|Requiredvariation_priceVariation price and value in json format.
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/addon/create' \
-d 'apiToken=API-KEY' \
-d 'addon_name=NAME' \
-d 'module_id=MODULE-ID' \
-d 'addon_description=DESCRIPTION' \
-d 'price=PRICE' \
-d 'validity=VALIDITY' \
-d 'validity_type=D' \
-d 'addon_type=one-time' \
-d 'extend_value=extend_value' \
-d 'visible=1' \
-d 'variation_name=["variation_name1","variation_name2"]' \
-d 'variation_validity=["30","60"]' \
-d 'variation_validity_type=["D","M"]' \
-d 'variation_extend_value=["extend_value1","extend_value2"]' \
-d 'variation_price=["price1","price2"]' Sample Response(All list)
{"status":"1","message":"Addon has been saved successfully.."}User API : Addon Update
Update Addon
API End-point : GET/POST
https://botsailor.com/api/v1/user/addon/update- String|RequiredapiTokenYour api key
- Integer|RequiredidAddon ID
- String|Requiredaddon_nameName of your addon
- String|Optionaladdon_descriptionDescription of your addon
- Float|OptionalpricePrice of your addon
- Int|OptionalvalidityValidity of your addon
- String|Optionalvalidity_typevalidity type can be day,week, month, year. For Day use `D`, For Week use `W`, For Month use `M`, For Year use `Y`
- String|Optionaladdon_typeYou can use 2 tyepes of addon Recurring and One Time. For Recurring use `recurring` and For One Time use `one-time`
- Int|Optionalextend_valueThis is Module Limit
- Int|OptionalvisibleAddon visibility 1 for visible and 0 for hidden
- Json|Optionalvariation_nameVariation name and value in json format.
- Json|Optionalvariation_validityVariation validity and value in json format.
- Json|Optionalvariation_validity_typevalidity type can be day,week, month, year. For Day use `D`, For Week use `W`, For Month use `M`, For Year use `Y`
- Json|Requiredvariation_extend_valueThis is Module Limit For Variation
- Json|Requiredvariation_priceVariation price and value in json format.
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/addon/update' \
-d 'apiToken=API-KEY' \
-d 'id=ADDON-ID' \
-d 'addon_name=NAME' \
-d 'addon_description=DESCRIPTION' \
-d 'price=PRICE' \
-d 'validity=VALIDITY' \
-d 'validity_type=D' \
-d 'addon_type=one-time' \
-d 'extend_value=extend_value' \
-d 'visible=1' \
-d 'variation_name=["variation_name1","variation_name2"]' \
-d 'variation_validity=["30","60"]' \
-d 'variation_validity_type=["D","M"]' \
-d 'variation_extend_value=["extend_value1","extend_value2"]' \
-d 'variation_price=["price1","price2"]' Sample Response(All list)
{"status":"1","message":"Addon has been saved successfully."}User API : Assign Addon
Assign Addon
API End-point :POST
https://botsailor.com/api/v1/user/addon/assign- String|RequiredapiTokenYour api key
- Integer|Requireduser_idUser ID
- String|Requiredaddon_idAddon ID. For the main addon, use only the Addon ID (e.g., 5). For variations, use the format AddonID-Variation ID (e.g., 5-1 ), where 5 is the Addon ID and 1 is the Variation ID.
- String|Requiredexpired_dateAddon Expired date like (2023-09-12)
- Boolean|OptionalstatusStatus of addon active(1) inactive(0)
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/addon/assign' \
-d 'apiToken=API-KEY' \
-d 'user_id=USER-ID' \
-d 'addon_id=ADDON-ID' \
-d 'expired_date=EXPIRED-DATE' \
-d 'status=STATUS' Sample Response(All list)
{"status":"1","message":"Addon has been assign successfully."}User API : Addon Purchase List
Addon Purchase List
API End-point :POST
https://botsailor.com/api/v1/user/addon/assign/list- String|RequiredapiTokenYour api key
- Integeruser_idUser ID. If you want to get all addon purchase data, leave it blank.
GET Request Example
https://botsailor.com/api/v1/user/addon/assign/list?apiToken=API-KEY&user_id=USER-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/addon/assign/list' \
-d 'apiToken=API-KEY' \
-d 'user_id=USER-ID' Sample Response(All list)
{"status":"1","message":"[{"id":122,"user_id":248,"seller_user_id":109,"purchase_date":"2025-05-24 06:14:04","addon_id":17,"expired_date":"2025-06-23 00:00:00","subscription_enabled":"0","subscription_data":null,"paypal_subscriber_id":"","paypal_next_check_time":null,"paypal_processing":"0","access_data":null,"last_payment_method":"Stripe","comment":null,"status":"1","updated_at":"2025-05-24 06:14:04","name":"sagor","email":"jondoe@gmail.com","addon_name":"Ai Addon"}]"}User API : Update Assign Addon
Update an assigned addon purchase (expired_date, status, variation).
API End-point : GET/POST
https://botsailor.com/api/v1/user/addon/assign/update- String|RequiredapiTokenYour api key
- Integer|RequiredidAddon purchase id from Addon Purchase List response (addon_users.id).
- Integer|Required for variation changeuser_idBuyer user id. Required when changing variation (addon_id).
- String|Optional (Required for variation)addon_idWhich addon+variation to assign: addon_id only for main (e.g. 5), or addon_id-variation_index (5-0=1st variation, 5-1=2nd variation). Send with id & user_id to change.
- Date|Optionalexpired_dateNew expiry date (Y-m-d). Leave blank for unlimited.
- 0 or 1|Optionalstatus1 = active, 0 = inactive.
GET Request Example
https://botsailor.com/api/v1/user/addon/assign/update?apiToken=API-KEY&id=ID&user_id=USER_ID&addon_id=5-1&expired_date=2025-12-31&status=1POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/addon/assign/update' \
-d 'apiToken=API-KEY' \
-d 'id=ID' \
-d 'user_id=USER_ID' \
-d 'addon_id=5-1' \
-d 'expired_date=2025-12-31' \
-d 'status=1' Sample Response (Success)
{"status":"1","message":"Addon purchase updated successfully."}Sample Response (Error)
{"status":"0","message":"Addon purchase not found."}User API : De-assign Addon
De-assign addon purchase by purchase ID
API End-point : GET/POST
https://botsailor.com/api/addon/purchase/delete- String|RequiredapiTokenYour api key
- Integer|RequiredidAddon purchase ID. Get this from Addon Purchase List response.
- Integer|Requireduser_idBuyer user id. When only id is sent, this is resolved from addon_users.
GET Request Example
https://botsailor.com/api/addon/purchase/delete?apiToken=API-KEY&id=ID&user_id=USER_IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/addon/purchase/delete' \
-d 'apiToken=API-KEY' \
-d 'id=ID' \
-d 'user_id=USER_ID' Sample Response (Success)
{"status":"1","message":"Addon purchase has been deleted successfully."}Sample Response (Error)
{"status":"0","message":"Addon purchase not found"}User API : Get Direct Login Url
An Unique and Secure One-time Login URL
API End-point : GET/POST
https://botsailor.com/api/v1/user/get/direct-login-url- String|RequiredapiTokenYour api key
- Email|RequiredemailEmail of your user
- String|OptionalnameName of your user
- String|OptionalmobileUser phone number
- Integer|Required for new userpackage_idPackage Id
- String|Required for new userexpired_datePackage Expired date like (2023-09-12)
- String|OptionalstatusStatus of user active(1) inactive(0)
- Boolean|Optionalcreate_on_failSet Value 1 for If user not found, create new user with this data or Set(0) it will return User not found error
GET Request Example
https://botsailor.com/api/v1/user/get/direct-login-url?apiToken=API-KEY&email=EMAIL&name=NAME&mobile=MOBILE&package_id=NAME&expired_date=EXPIRED-DATE&status=STATUS&create_on_fail=1POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/get/direct-login-url' \
-d 'apiToken=API-KEY' \
-d 'email=EMAIL' \
-d 'name=NAME' \
-d 'mobile=MOBILE' \
-d 'package_id=NAME' \
-d 'expired_date=EXPIRED-DATE' \
-d 'status=STATUS' \
-d 'create_on_fail=1' Sample Response
{"status":"1","message":{"email":"user@domain.com","password":"xxxxxxxxxx","login_url":"https://botsailor.com/login","direct_login_url":"https://botsailor.com/direct-login/xxxxxxxxxx"}}
User API : Get direct login url only for new users
Create user if not exists and return one-time direct login url. If user exists, it will return "User already existed".
API End-point : GET/POST
https://botsailor.com/api/v1/user/get/direct-login-url/only-new-users- String|RequiredapiTokenYour api key
- Email|RequiredemailEmail of your user
- Integer|Requiredpackage_idPackage Id
- String|Requiredexpired_datePackage Expired date like (2026-05-05)
GET Request Example
https://botsailor.com/api/v1/user/get/direct-login-url/only-new-users?apiToken=API-KEY&email=EMAIL&package_id=PACKAGE-ID&expired_date=EXPIRED-DATEPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/get/direct-login-url/only-new-users' \
-d 'apiToken=API-KEY' \
-d 'email=EMAIL' \
-d 'package_id=PACKAGE-ID' \
-d 'expired_date=EXPIRED-DATE' Sample Response (Success)
{"status":"1","message":{"email":"user@domain.com","password":"xxxxxxxxxx","login_url":"https://botsailor.com/login","direct_login_url":"https://botsailor.com/direct-login/xxxxxxxxxx"}}Sample Response (Existing User)
{"status":"0","message":"User already existed"}User API : Logout User
Logout user from the system
API End-point : GET/POST
https://botsailor.com/api/v1/user/logout- String|RequiredapiTokenYour api key
- Integer|Requireduser_idUser ID of WhatsApp account owner
GET Request Example
https://botsailor.com/api/v1/user/logout?apiToken=API-KEY&user_id=USER-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/logout' \
-d 'apiToken=API-KEY' \
-d 'user_id=USER-ID' Sample Response(All list)
{"status":"1","message":"User logout from the system successfully."}User API : Transaction List
Transaction list from the system
API End-point : GET/POST
https://botsailor.com/api/v1/user/transaction/list- String|RequiredapiTokenYour api key
- Integer|OptionallimitFetch number of transactions.
- Integer|OptionaloffsetOffset of pagination.
GET Request Example
https://botsailor.com/api/v1/user/transaction/list?apiToken=API-KEY&limit=10&offset=0POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/transaction/list' \
-d 'apiToken=API-KEY' \
-d 'limit=10' \
-d 'offset=0' Sample Response(All list)
{"status":"1","message":[{"id":1,"user_id":1,"buyer_user_id":249,"verify_status":"Processed","first_name":"john doe","last_name":"","buyer_email":"johndoe@gmail.com","country":"","paid_currency":"USD","paid_at":"2025-10-13 09:20:53","payment_method":"Paypal","transaction_id":"AD1760347253249","paid_amount":0,"cycle_start_date":"2025-10-13","cycle_expired_date":null,"package_id":null,"addon_id":4,"variation_index":2,"variation_data_copy":"{\"name\":\"Webchat : unlimited website\/user\",\"validity\":\"30\",\"validity_type\":\"D\",\"extend_value\":\"0\",\"price\":\"149\",\"paypro_product_id\":\"103395\",\"fastspring_product_id\":\"\",\"paypal_plan_id\":\"\",\"razorpay_plan_id\":\"\",\"status\":\"1\"}","package_name":"Monthly Package","response_source":"","paypal_txn_type":"","invoice_url":null,"subscription_unique_id":null,"email":"johndoe@gmail.com"}],"total_result":1}WhatsApp API
WhatsApp send api, add contact...
WhatsApp API : Account Connect
Connect WhatsApp Business Account
API End-point : POST
https://botsailor.com/api/v1/whatsapp/account/connect- String|RequiredapiTokenYour api key
- Integer|Requireduser_idUser ID of WhatsApp account owner
- String|Requiredwhatsapp_business_account_idWhatsApp Business Account ID
- String|Requiredaccess_tokenAccess Token
GET Request Example
https://botsailor.com/api/v1/whatsapp/account/connect?apiToken=API-KEY&user_id=USER-ID&whatsapp_business_account_id=WHATSAPP-BUSINESS-ACCOUNT-ID&access_token=ACCESS-TOKENPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/account/connect' \
-d 'apiToken=API-KEY' \
-d 'user_id=USER-ID' \
-d 'whatsapp_business_account_id=WHATSAPP-BUSINESS-ACCOUNT-ID' \
-d 'access_token=ACCESS-TOKEN' Sample Response
{"status":"1","message":"Whatsapp account has been connect successfully."}WhatsApp API : Send Message
Send WhatsApp message to any mobile number
Text vs Template Message
When a user writes you on your chat service using your business number, you can reply to them through text message within 24 hours. This is known as a customer-initiated text message or session message. A WhatsApp template message, on the other hand, uses a pre-approved template for communication and is an outbound message launched by a business. You can get in touch with a user using template messages if you accidentally don`t respond to their message within 24 hours.
API End-point : Send Message (GET/POST)
https://botsailor.com/api/v1/whatsapp/send- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- String|RequiredmessageText message content (need url encoded value for GET request)
- String|Requiredphone_numberMust start with country code and only numeric characters are allowed
GET Request Example
https://botsailor.com/api/v1/whatsapp/send?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&message=TEXT-MESSAGE&phone_number=PHONE-NUMBERPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/send' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'message=TEXT-MESSAGE' \
-d 'phone_number=PHONE-NUMBER' Sample Response
{"status":"1", "wa_message_id":"wamid.HBgNODgwMTcyMzMwOTAwMxUCABEYEjlGQkY3MEFEMEVGODhCNDkxNQA=", "message":"Message sent successfully."}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}Generate API End-point : Send Template Message (GET/POST)
Please Login to load all the templates
loginSample Response
{"status":"1","message":"Template message sent successfully."}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}WhatsApp API : Send File / Media
Send image, video, audio, or document using only this endpoint.
API End-point : Send File (GET/POST)
https://botsailor.com/api/v1/whatsapp/send/file- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- String|Requiredphone_numberMust start with country code and only numeric characters are allowed
- String|Required if no media_idmedia_urlPublic HTTPS URL of the file. WhatsApp downloads from this link. Use this when you are not using media_id.
- String|Required if no media_urlmedia_idWhatsApp media id from the Upload Media API or from Graph after uploading. When using media_id only, media_type is required.
- String|Conditionalmedia_typeOne of: image, video, audio, document. Required when using media_id only, or when media_url has no file extension.
- String|Optionalmedia_caption_textCaption for image, video, or document (not for audio). If omitted, message is used as caption when present.
GET Request Example
https://botsailor.com/api/v1/whatsapp/send/file?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBER&media_type=image&media_url=https%3A%2F%2Fexample.com%2Fimage.jpg&message=Caption+textGET example with media_id (media_type required)
https://botsailor.com/api/v1/whatsapp/send/file?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBER&media_type=image&media_id=MEDIA_ID_FROM_GRAPHPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/send/file' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'media_url=https://example.com/file.jpg' \
-d 'media_id=' \
-d 'media_type=image' \
-d 'media_caption_text=' Sample Response
{"status":"1", "wa_message_id":"wamid.HBgNODgwMTcyMzMwOTAwMxUCABEYEjlGQkY3MEFEMEVGODhCNDkxNQA=", "message":"Message sent successfully."}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}WhatsApp API : Upload Media
Upload a file to get media_id and media_type for the Send File API.
API End-point : POST (multipart/form-data)
https://botsailor.com/api/v1/whatsapp/upload/media- String|RequiredapiTokenYour api key (can also be sent as Authorization: Bearer token).
- String|Requiredphone_number_idWhatsApp account phone number ID (same as other WhatsApp APIs).
- File|Requiredmedia_fileMultipart file field name must be media_file. Supported types follow live chat / WhatsApp limits (image, video, audio, document).
POST Request Example
curl -X POST "https://botsailor.com/api/v1/whatsapp/upload/media" \
-H "Authorization: Bearer API-KEY" \
-H "Accept: application/json" \
-F "phone_number_id=PHONE-NUMBER-ID" \
-F "media_file=@/path/to/local/file.jpg"Sample Response
{"status":"1","media_id":"1739230482390482","media_type":"image","message":"Upload successful. Use media_id and media_type with the Send File API."}
{"status":"0","message":"..."}Try upload (this page)
Choose which WhatsApp bot/account to upload against (media_id is tied to that phone number id). Your API key at the top of this page is used for authentication.
WhatsApp API : Get Conversation
Get Conversation of particular subscriber
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/get/conversation- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- Number|RequiredlimitFetch number of conversation message.
- Number|OptionaloffsetOffset of pagination.
GET Request Example
https://botsailor.com/api/v1/whatsapp/get/conversation?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBER&limit=10&offset=1POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/get/conversation' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'limit=10' \
-d 'offset=1' Sample Response
{"status":"1","message":[{"id":8XX3,"whatsapp_bot_subscriber_subscriber_id":"0123456789-23","whatsapp_bot_id":23,"sender":"bot","agent_name":null,"message_content":"{\"delay_in_reply\":0,\"messaging_product\":\"whatsapp\",\"recipient_type\":\"individual\",\"to\":\"0123456789\",\"type\":\"interactive\",\"interactive\":{\"header\":{\"type\":\"text\",\"text\":\"Order gateway\"},\"body\":{\"text\":\"How would you like to purchase it?\"},\"type\":\"button\",\"action\":{\"buttons\":[{\"type\":\"reply\",\"reply\":{\"id\":\"5lvomLOuENXIe6D::gPeAiDDmVQR_jTR\",\"title\":\"Paypal pay\"}},{\"type\":\"reply\",\"reply\":{\"id\":\"YES_START_CHAT_WITH_HUMAN::CBaLoC4yTMyIljZ\",\"title\":\"COD\"}}]}}}","conversation_time":"2024-07-28 13:21:03","wa_message_id":"wamid.HBgNODgwMTcyMzMwOTAwMxUCABEYEjlGQkY3MEFEMEVGODhCNDkxNQA=","reaction_data":null,"message_status":null,"delivery_status_updated_at":"2024-07-28 13:21:03","failed_reason":""}]}
WhatsApp API : Get Post Back List
Get Post Back List
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/get/post-back-list- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
GET Request Example
https://botsailor.com/api/v1/whatsapp/get/post-back-list?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/get/post-back-list' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' Sample Response
{"status":"1","message":[{"id":671,"user_id":1,"postback_id":"QUICK_REPLY_LOCATION_REPLY_BOT","whatsapp_bot_id":95,"use_status":"0","status":"1","whatsapp_bot_setting_id":1770,"bot_name":"Location quick reply","is_template":"1","template_jsoncode":"[{\"messaging_product\":\"whatsapp\",\"to\":\"replace_id\",\"type\":\"text\",\"text\":{\"body\":\"Thank you for sharing your location. It has been received. Thank you for being here with us today.\",\"preview_url\":true}}]","template_name":"Location quick reply","template_for":"location-quick-reply","template_id":null,"inherit_from_template":"0","whatsapp_bot_label_ids":"","whatsapp_bot_remove_label_ids":"","remove_sequence_campaign_id":0,"team_assign_role_id":0,"team_assign_user_id":0,"broadcast_sequence_campaign_id":0,"visual_flow_type":"flow","postback_type":"main","whatsapp_bot_visual_flow_builder_campaign_id":1358,"google_sheet_ids":"","updated_at":"2024-07-14 05:25:55","row_type":"static","custom_field_id":0,"custom_field_index":"","custom_field_index_title":"","generateGoogleMeetLink":null,"googleCalendarId":null,"googleMeetToCustomFieldId":null}]}WhatsApp API : Get Delivery Message Status
Get message statuses from API
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/get/message-status- String|RequiredapiTokenYour api key
- String|Requiredwa_message_idWhatsApp message ID to check status
- Number|Requiredwhatsapp_bot_idWhatsApp bot ID
GET Request Example
https://botsailor.com/api/v1/whatsapp/get/message-status?apiToken=API-KEY&wa_message_id=WAMID.XXXXX&whatsapp_bot_id=123POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/get/message-status' \
-d 'apiToken=API-KEY' \
-d 'wa_message_id=WAMID.XXXXX' \
-d 'whatsapp_bot_id=123' Sample Response
{"status":"1","message":{"message_status":"delivered","delivery_status_updated_at":"2024-07-28 13:21:03","read_time":null,"failed_time":null,"failed_reason":""}}WhatsApp API : Bot Template Get
Get Whatsapp Bot template
API End-point : Get Template (GET/POST)
https://botsailor.com/api/v1/whatsapp/template/list- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
GET Request Example
https://botsailor.com/api/v1/whatsapp/template/list?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/template/list' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' Sample Response
{"status":"1","message":{"id":48,"template_id":"437509121867805","whatsapp_business_id":11,"template_name":"ada","template_type":"single","locale":"en_US","header_type":"media","header_subtype":"image","header_content":"","body_content":"To send an interactive message template, make a POST call to \/PHONE_NUMBER_ID\/","footer_content":"","button_content":"[]","template_json":"{\"name\":\"template_23_1666095188\",\"language\":\"en_US\",\"category\":\"transactional\",\"components\":[{\"type\":\"header\",\"format\":\"image\",\"example\":{\"header_handle\":[\"https:\\\/\\\/example.com\\\/assets\\\/images\\\/template\\\/image.jpg\"]}},{\"type\":\"body\",\"text\":\"To send an interactive message template, make a POST call to \\\/PHONE_NUMBER_ID\\\/\"}],\"access_token\":\"EAAHFAlhZBSyEBAIRZCsHKZA5ZAdOWMRL7AwuuCBKd3tZChAQQ1PHojPUS5k76aMVyzzxG9bYp2JQ57aLMfQBCZCpvXKac4KLDZAhejOuw1zkNCxGjvK7J5YwNmZBwTTd8Iig2YDq0vGZBoS20ipsLB4scbOOh0WmQrj7oLI9ZC5rFlsFC9mYctgQKIyJCvZBfgn5pGE1YPiBllrqwZDZD\"}","button_type":"none","variable_map":"{\"header\":[],\"body\":[]}","updated_at":"2022-10-18 12:13:09","user_id":1,"status":"Rejected","system_template":"0","map_needed":"0","check_wp_type":"general"}}Sample Response
{"status":"1","message":"Template message sent successfully."}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}WhatsApp API : Send Broadcast Template
Get Whatsapp Broadcast Template
API End-point : Send Broadcast Template (GET/POST)
https://botsailor.com/api/v1/whatsapp/broadcast/template/send- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- Json|Requiredflow_dataPass Flow data as json format
GET Request Example
https://botsailor.com/api/v1/whatsapp/broadcast/template/send?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/broadcast/template/send' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' Sample Response
{"status":"1","visual_flow_campaign_id":1727,"message":"Data has been saved successfully.","redirect_on_success_url":""}Sample Response
{"status":"1","message":"Template message sent successfully."}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}WhatsApp API : Trigger Bot Flow
Trigger your bot to any mobile number
API End-point : Trigger Bot Flow (GET/POST)
https://botsailor.com/api/v1/whatsapp/trigger-bot- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- String|Requiredbot_flow_unique_idBot Flow Unique ID
- String|Requiredphone_numberMust start with country code and only numeric characters are allowed
GET Request Example
https://botsailor.com/api/v1/whatsapp/trigger-bot?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&bot_flow_unique_id=BOT-FLOW-UNIQUE-ID&phone_number=PHONE-NUMBERPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/trigger-bot' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'bot_flow_unique_id=BOT-FLOW-UNIQUE-ID' \
-d 'phone_number=PHONE-NUMBER' Sample Response
{"status":"1","message":"Bot has been trigger successfully."}
WhatsApp API : Subscriber Get
Get Subscriber Using Chat ID (Phone Number
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/get- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- String|Requiredphone_numberSubscriber phone number
GET Request Example
https://botsailor.com/api/v1/whatsapp/subscriber/get?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBERPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/get' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' Sample Response
{"status":"1","message":[{"subscriber_id":144,"chat_id":"0123456789","first_name":"john","last_name":"Doe","email":"test@gmail.com","gender":"Male","created_at":"2026-04-07 10:30:00","assigned_agent_id":12,"assigned_agent":"Support Agent","bot_reply_label":"Bot Reply On","ai_reply_label":"AI Reply On","label_names":"Label1,Label2"}]}WhatsApp API : Subscriber List
List of Subscribers
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/subscriber/list- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- Number|RequiredlimitFetch number of subscribers.
- Number|OptionaloffsetOffset of pagination.
- Number|OptionalorderBySet this to 1 to sort the subscriber list by their most recent message (latest first). Set to 0 to keep the default order.
GET Request Example
https://botsailor.com/api/v1/whatsapp/subscriber/list?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&limit=10&offset=1&orderBy=0POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/list' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'limit=10' \
-d 'offset=1' \
-d 'orderBy=0' Sample Response
{"status":"1","message":[{"subscriber_id":144,"chat_id":"0123456789","first_name":"John","last_name":"Doe","email":"test@gmail.com","gender":"male","label_names":"One ,two"},{"subscriber_id":157,"chat_id":"0123456789","first_name":"john","last_name":"Doe","email":"null","gender":"Male","label_names":"ChatTest,remove tag,One"}]}
WhatsApp API : Subscriber Create
Create a Subscriber/Contact
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/create- String|RequiredapiTokenYour api key
- String|RequiredphoneNumberIDWhatsApp account phone number ID
- String|RequirednameName of your subscriber
- String|RequiredphoneNumberSubscriber phone number with country code (without + sign)
GET Request Example
https://botsailor.com/api/v1/whatsapp/subscriber/create?apiToken=API-KEY&phoneNumberID=PHONE-NUMBER-ID&name=NAME&phoneNumber=MOBILEPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/create' \
-d 'apiToken=API-KEY' \
-d 'phoneNumberID=PHONE-NUMBER-ID' \
-d 'name=NAME' \
-d 'phoneNumber=MOBILE' Sample Response
{"status":"1","mesasge":"WhatsApp subscriber has been created."}
{"status":"0","message":"WhatsApp account not found."}
{"status":"0","message":"Subscriber limit has been exceeded. You cannot have more subscribers."}
{"status":"0","message":"Something went wrong or subscriber already exist."}WhatsApp API : Subscriber Update
Update an Existing Subscriber
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/update- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- String|Requiredphone_numberSubscriber phone number
- String|Optionalfirst_nameFirst name of your subscriber
- String|Optionallast_nameLast name of your subscriber
- String|OptionalgenderGender of your subscriber
- String|Optionallabel_idsLabel ids with comma separated like (1,4,5)
GET Request Example
https://botsailor.com/api/v1/whatsapp/subscriber/update?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBER&first_name=FIRST-NAME&last_name=LAST-NAME&gender=GENDER&label_ids=LABEL-IDSPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/update' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'first_name=FIRST-NAME' \
-d 'last_name=LAST-NAME' \
-d 'gender=GENDER' \
-d 'label_ids=LABEL-IDS' Sample Response
{"status":"1","message":"Subscriber Updated Successfully."}
WhatsApp API : Delete Subscriber
Delete Whatsapp Subscriber
API End-point : Delete Subscriber (GET/POST)
https://botsailor.com/api/v1/whatsapp/subscriber/delete- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- String|Requiredphone_numberMust start with country code and only numeric characters are allowed
GET Request Example
https://botsailor.com/api/v1/whatsapp/subscriber/delete?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBERPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/delete' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' Sample Response
{"status":"1","message":"Subscriber has been deleted successfully."}
WhatsApp API : Reset User Input Flow
Reset User Input Flow
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/reset/user-input-flow- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idWhatsApp account phone number ID
- String|Requiredphone_numberSubscriber phone number
GET Request Example
https://botsailor.com/api/v1/whatsapp/subscriber/reset/user-input-flow?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBERPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/reset/user-input-flow' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' Sample Response
{"status":"1","message":"Reset User Input Flow successfully."}
WhatsApp API : Subscriber Assign Chat to Team
Assign a Subscriber`s Chat to a Team Member
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-to-team-member- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- Integer|Requiredteam_member_idTeam Member ID
GET Request Example
https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-to-team-member?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&phone_number=PHONE-NUMBER&team_member_id=TEAM-MEMBER-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-to-team-member' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'team_member_id=TEAM-MEMBER-ID' Sample Response
{"status":"1","message":"Successfully Assign Agent to Conversation."}
WhatsApp API : Subscriber Assign Custom Fields
Assign Custom Field To Subscriber
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-custom-fields- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- JSON|Requiredcustom_fieldsCustom fileds name and value in json format.
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-custom-fields' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'custom_fields={"custom_filed_name1": "custom_field_value1","custom_filed_name2": "custom_field_value2"}' Sample Response
{"status":"1","message":"Subscriber changes have been saved successfully."}
WhatsApp API : Custom Fields List
Get List of Custom Fields
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/custom-fields/list- String|RequiredapiTokenYour api key
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/custom-fields/list' \
-d 'apiToken=API-KEY' Sample Response
{"status":"1","message":"Custom fields retrieved successfully","data":[{"id":1,"name":"customer_name","reply_type":"text"},{"id":2,"name":"customer_email","reply_type":"email"}]}
WhatsApp API : Subscriber Assign Labels
Assign Labels To Subscriber
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-labels- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- String|Requiredlabel_idsLabel ids with comma separated like (1,4,5)
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-labels' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'label_ids=LABEL-IDS' Sample Response
{"status":"1","message":"Labels have been assigned successfully."}
WhatsApp API : Subscriber Remove Labels
Remove Labels To Subscriber
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/chat/remove-labels- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- String|Requiredlabel_idsLabel ids with comma separated like (1,4,5)
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/chat/remove-labels' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'label_ids=LABEL-IDS' Sample Response
{"status":"1","message":"Labels have been assigned successfully."}
WhatsApp API : Subscriber Assign Sequences
Assign Sequences To Subscriber
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-sequence- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- String|Requiredsequence_idsLabel ids with comma separated like (1,4,5)
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/chat/assign-sequence' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'sequence_ids=SEQUENCE-IDS' Sample Response
{"status":"1","message":"Sequences have been assigned successfully."}
WhatsApp API : Subscriber Remove Sequences
Remove Sequence To Subscriber
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/chat/remove-sequence- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- String|Requiredsequence_idsSequence ids with comma separated like (1,4,5)
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/chat/remove-sequence' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'sequence_ids=SEQUENCE-IDS' Sample Response
{"status":"1","message":"Sequences have been removed successfully."}
WhatsApp API : Add Notes To Subscriber
Add Notes To Subscriber
API End-point : POST
https://botsailor.com/api/v1/whatsapp/subscriber/chat/add-notes- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredphone_numberSubscriber phone number
- String|Requirednote_textNote text
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/subscriber/chat/add-notes' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'phone_number=PHONE-NUMBER' \
-d 'note_text=NOTE-TEXT' Sample Response
{"status":"1","message":"Notes have been added successfully."}
WhatsApp API : Label List
List of Labels
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/label/list- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
GET Request Example
https://botsailor.com/api/v1/whatsapp/label/list?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/label/list' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' Sample Response
{"status":"1","message":[{"id":1,"label_name":"Your label name","status":"1"}]}
WhatsApp API : Label Create
Create a Label
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/label/create- String|RequiredapiTokenYour api key
- String|Requiredphone_number_idYour whatsapp phone number id
- String|Requiredlabel_nameLabel Name
GET Request Example
https://botsailor.com/api/v1/whatsapp/label/create?apiToken=API-KEY&phone_number_id=PHONE-NUMBER-ID&label_name=LABEL-NAMEPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/label/create' \
-d 'apiToken=API-KEY' \
-d 'phone_number_id=PHONE-NUMBER-ID' \
-d 'label_name=LABEL-NAME' Sample Response
{"status":"1","message":"Label has been created successfully."}
WhatsApp API : Catalog List
Catalog List
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/catalog/list- String|RequiredapiTokenYour api key
GET Request Example
https://botsailor.com/api/v1/whatsapp/catalog/list?apiToken=API-KEYPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/catalog/list' \
-d 'apiToken=API-KEY' Sample Response
{"status":true,"message":[{"catalog_id":"1429267xxxx5095","catalog_name":"The White","catalog_url":"https:xxxxx","checkout_settings":"{"tax_percentage":"5.5","shipping_charge":"20"}"}]}
WhatsApp Catalog : Sync
Catalog Sync
API End-point : POST
https://botsailor.com/api/v1/whatsapp/catalog/sync- String|RequiredapiTokenYour api key
- String|Requiredwhatsapp_catalog_idYour whatsapp catalog id
POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/catalog/sync' \
-d 'apiToken=API-KEY' \
-d 'whatsapp_catalog_id=WHATSAPP-CATALOG-ID' Sample Response
{"status":"1","message":"Catalog products have been synced successfully."}
WhatsApp API : Catalog Order List
Catalog List
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/catalog/order/list- String|RequiredapiTokenYour api key
- String|Optionalwhatsapp_catalog_idYour whatsapp catalog id
GET Request Example
https://botsailor.com/api/v1/whatsapp/catalog/order/list?apiToken=API-KEY&whatsapp_catalog_id=WHATSAPP-CATALOG-IDPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/catalog/order/list' \
-d 'apiToken=API-KEY' \
-d 'whatsapp_catalog_id=WHATSAPP-CATALOG-ID' Sample Response
{"status":"1","message":[{"order_unique_id":"172310467380123456789","catalog_id":"762561142206860","chat_id":"0123456789","catalog_name":"Catalog Name","first_name":"John","cart_total":4300,"cart_currency":"USD","cart_status_raw":"Submitted","ordered_at":"2024-08-08 08:11:13","updated_at":"2024-08-08 08:30:40","payment_amount":4300,"payment_method":"Cash on Delivery","shipping_address":"{\"name\":\"John Doe\",\"phone_number\":\"0123456789\",\"email\":\"test@gmail.com\",\"address\":\"pti road\"}","checkout_account_email":null,"checkout_amount":"0","checkout_timestamp":null,"transaction_id":"PD1723104673012345678933FAD1","paid_at":"2024-08-08 08:30:40","status_changed_at":"2024-08-08 08:30:40"}]}
WhatsApp API : Catalog Order Status Change
Change Catalog Order Status
API End-point : GET/POST
https://botsailor.com/api/v1/whatsapp/catalog/order/status-change- String|RequiredapiTokenYour api key
- String|Requiredorder_unique_idYour Catalog Order ID
- String|Requiredcart_statusStatus value should be Approved|Completed|Shipped|Delivered|Refunded
GET Request Example
https://botsailor.com/api/v1/whatsapp/catalog/order/status-change?apiToken=API-KEY&order_unique_id=ORDER-UNIQUE-ID&cart_status=CART-STATUSPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/whatsapp/catalog/order/status-change' \
-d 'apiToken=API-KEY' \
-d 'order_unique_id=ORDER-UNIQUE-ID' \
-d 'cart_status=CART-STATUS' Sample Response
{"status":true,"message":"Cart status has been updated successfully"}
Botsailor AI : Get Response
Get Response
API End-point : GET/POST
https://botsailor.com/api/v1/ai/get_response- String|RequiredapiTokenYour api key
- Json|RequiredparamYour Data Promt
GET Request Example
https://botsailor.com/api/v1/ai/get_response?apiToken=API-KEY¶m=PARAMPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/ai/get_response' \
-d 'apiToken=API-KEY' \
-d 'param=PARAM' Sample Response
{"status":true,"message":"Cart status has been updated successfully"}
User API : Get Direct Login Url
An Unique and Secure One-time Login URL
API End-point : GET/POST
https://botsailor.com/api/v1/user/get/direct-login-url- String|RequiredapiTokenYour api key
- Email|RequiredemailEmail of your user
- String|OptionalnameName of your user
- String|OptionalmobileUser phone number
- Integer|Required for new userpackage_idPackage Id
- String|Required for new userexpired_datePackage Expired date like (2023-09-12)
- String|OptionalstatusStatus of user active(1) inactive(0)
- Boolean|Optionalcreate_on_failSet Value 1 for If user not found, create new user with this data or Set(0) it will return User not found error
GET Request Example
https://botsailor.com/api/v1/user/get/direct-login-url?apiToken=API-KEY&email=EMAIL&name=NAME&mobile=MOBILE&package_id=NAME&expired_date=EXPIRED-DATE&status=STATUS&create_on_fail=1POST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/get/direct-login-url' \
-d 'apiToken=API-KEY' \
-d 'email=EMAIL' \
-d 'name=NAME' \
-d 'mobile=MOBILE' \
-d 'package_id=NAME' \
-d 'expired_date=EXPIRED-DATE' \
-d 'status=STATUS' \
-d 'create_on_fail=1' Sample Response
{"status":"1","message":{"email":"user@domain.com","password":"xxxxxxxxxx","login_url":"https://botsailor.com/login","direct_login_url":"https://botsailor.com/direct-login/xxxxxxxxxx"}}
User API : Get direct login url only for new users
Create user if not exists and return one-time direct login url. If user exists, it will return "User already existed".
API End-point : GET/POST
https://botsailor.com/api/v1/user/get/direct-login-url/only-new-users- String|RequiredapiTokenYour api key
- Email|RequiredemailEmail of your user
- Integer|Requiredpackage_idPackage Id
- String|Requiredexpired_datePackage Expired date like (2026-05-05)
GET Request Example
https://botsailor.com/api/v1/user/get/direct-login-url/only-new-users?apiToken=API-KEY&email=EMAIL&package_id=PACKAGE-ID&expired_date=EXPIRED-DATEPOST Request Example
curl -X POST \
'https://botsailor.com/api/v1/user/get/direct-login-url/only-new-users' \
-d 'apiToken=API-KEY' \
-d 'email=EMAIL' \
-d 'package_id=PACKAGE-ID' \
-d 'expired_date=EXPIRED-DATE' Sample Response (Success)
{"status":"1","message":{"email":"user@domain.com","password":"xxxxxxxxxx","login_url":"https://botsailor.com/login","direct_login_url":"https://botsailor.com/direct-login/xxxxxxxxxx"}}Sample Response (Existing User)
{"status":"0","message":"User already existed"}Subscribe to our newsletter
Highly curated content and updates directly to your inbox.

